# dipy_denoise_nlmeans

## Synopsis

Workflow wrapping the nlmeans denoising method.

It applies nlmeans denoise [1] on each file found by ‘globing’ `input_files` and saves the results in a directory specified by `out_dir`.

## Usage

    dipy_denoise_nlmeans [OPTIONS] input_files

## Input Parameters

- `input_files`

  Path to the input volumes. This path may contain wildcards to process multiple inputs at once.

## General Options

- `--sigma`

  Sigma parameter to pass to the nlmeans algorithm. (default: 0)

- `--patch_radius`

  patch size is `2 x patch_radius + 1`. (default: 1)

- `--block_radius`

  block size is `2 x block_radius + 1`. (default: 5)

- `--rician`

  If True the noise is estimated as Rician, otherwise Gaussian noise is assumed. (default: True)

## Output Options

- `--out_dir`

  Output directory. (default: current directory)

- `--out_denoised`

  Name of the resulting denoised volume. (default: dwi_nlmeans.nii.gz)

## References

[1]

Maxime Descoteaux, Nicolas Wiest-Daesslé, Sylvain Prima, Christian Barillot, and Rachid Deriche. Impact of Rician adapted Non-Local Means filtering on HARDI. In Dimitris Metaxas, Leon Axel, Gabor Fichtinger, and Gábor Székely, editors, Medical Image Computing and Computer-Assisted Intervention (MICCAI), volume 11, 122–130. Berlin, Heidelberg, 2008. Springer Berlin Heidelberg. doi:10.1007/978-3-540-85990-1_15.

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.